# Class Priority

Object
CodeList<Priority>
Priority

All Implemented Interfaces:
  `Serializable, Comparable<Priority>`

@UML(identifier="MI_PriorityCode", specification=ISO_19115_2) public final class Priority extends CodeList<Priority>
Ordered list of priorities.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Priority`
  `CRITICAL`
  Decisive importance.
  `static final Priority`
  `HIGH_IMPORTANCE`
  Requires resources to be made available.
  `static final Priority`
  `LOW_IMPORTANCE`
  To be completed when resources are available
  `static final Priority`
  `MEDIUM_IMPORTANCE`
  Normal operation priority.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Priority[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Priority`
  `valueOf(String code)`
  Returns the priority that matches the given string, or returns a new one if none match it.
  `static Priority[]`
  `values()`
  Returns the list of `Priority`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CRITICAL

    @UML(identifier="critical", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Priority CRITICAL
    Decisive importance.

  - ### HIGH_IMPORTANCE

    @UML(identifier="highImportance", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Priority HIGH_IMPORTANCE
    Requires resources to be made available.

  - ### MEDIUM_IMPORTANCE

    @UML(identifier="mediumImportance", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Priority MEDIUM_IMPORTANCE
    Normal operation priority.

  - ### LOW_IMPORTANCE

    @UML(identifier="lowImportance", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Priority LOW_IMPORTANCE
    To be completed when resources are available

- ## Method Details

  - ### values

    public static Priority[] values()
    Returns the list of `Priority`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Priority[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Priority>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Priority valueOf(String code)
    Returns the priority that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.